Installing Cubase 4 on Mac

For users of legacy Steinberg Cubase software
Post Reply
agar700
New Member
Posts: 2
Joined: Mon Aug 13, 2018 11:43 am
Contact:

Installing Cubase 4 on Mac

Post by agar700 » Tue Aug 14, 2018 4:23 am

Im needing assistance with a installation of an older version of Cubase 4 on my Mac Book Pro. The problem is my I tried to install it but I saying that I need to have a version of iOS greater than 10.5, which my version currently is High Sierra 10.13.6. Is there any way to install this or a higher version and still be able to use my registration blue key that I have?

Romantique Tp
External Moderator
Posts: 3015
Joined: Fri Aug 07, 2015 3:25 pm
Contact:

Re: Installing Cubase 4 on Mac

Post by Romantique Tp » Tue Aug 14, 2018 6:50 am

Sorry, but it's not possible to install Cubase 4 on High Sierra. But even if it was possible, there would be a ton of issues thanks to all the changes made by Apple over the years.

To use Cubase on your Mac Book Pro, you'll have to upgrade to Cubase Pro 9.5:
https://www.steinberg.net/en/shop/buy_p ... ro-95.html

On top of this version being fully compatible with High Sierra, the most current versions of Cubase also offers hundreds of new tools and workflow improvements compared to Cubase 4, which definitely make a huge difference.
Every time someone says "it must be easy to add/fix", a programmer dies.

Cubase Pro and Wavelab Pro (latest), Windows 7 Ultimate 64-bit, MSI Z87-G45 GAMING, i5 4690k, GeForce GTX 760, almost every Steinberg plugin and expansion, Trilian, Komplete 10, etc etc etc etc

agar700
New Member
Posts: 2
Joined: Mon Aug 13, 2018 11:43 am
Contact:

Re: Installing Cubase 4 on Mac

Post by agar700 » Tue Aug 14, 2018 11:01 am

Thanks, Romantique. I was hoping to be able to install this and then see if it will upgrade itself to prevent me from having to re-purchase it again.

Post Reply

Return to “Older Cubase versions”

Who is online

Users browsing this forum: No registered users and 10 guests